#script modified by D&G Productions

import App

def Create(pTorp):
	kCoreColor = App.TGColorA()
	kCoreColor.SetRGBA(222.0 / 255.0, 322.0 / 255.0, 253.0 / 255.0, 1.000000)
	kGlowColor = App.TGColorA()
	kGlowColor.SetRGBA(61.0 / 255.0, 198.0 / 255.0, 239.0 / 255.0, 1.000000)	

	pTorp.CreateTorpedoModel(
					"data/Textures/Tactical/TorpedoCore.tga",
					kCoreColor, 
					0.10,
					1.0,	 
					"data/Textures/Tactical/TorpedoGlow.tga", 
					kGlowColor,
					4.0,	
					0.1,	 
					0.3,	
					"data/Textures/Tactical/TorpedoFlares.tga",
					kGlowColor,										
					95,		
					0.25,		
					0.1)

	pTorp.SetDamage( GetDamage() )
	pTorp.SetDamageRadiusFactor(0.15)
	pTorp.SetGuidanceLifetime( GetGuidanceLifetime() )
	pTorp.SetMaxAngularAccel( GetMaxAngularAccel() )

	# Multiplayer specific stuff.  Please, if you create a new torp
	# type. modify the SpeciesToTorp.py file to add the new type.
	import Multiplayer.SpeciesToTorp
	pTorp.SetNetType (Multiplayer.SpeciesToTorp.CAPHASEQUANTUM)

	return(0)

def GetLaunchSpeed():
	return(35.0)

def GetLaunchSound():
	return("Quantum Torpedo")

def GetPowerCost():
	return(50.0)

def GetName():
	return("Phase Quantum")

def GetDamage():
	return 4000.0

def GetGuidanceLifetime():
	return 42.0

def GetMaxAngularAccel():
	return 0.2
